import {connect} from "react-redux";
import {CPlaylistDropZone} from "../tools";
import {Link} from "react-router-dom";
import {store} from "../../reducers";
import {actionPlaylistFindByOwner} from "../../actions";

const Playlist = ({playlist:{_id, name}={}}) =>
    <li><Link to={`/userPlaylist/${_id}`}>{name}</Link></li>

const UserPlaylists =  ({playlists={}}) => {
    return (
        <div className='my-playlists'>
            <h2>Плейлиты пользователя</h2>
            <ul className='Playlists'>
                {playlists.map((playlist) =>  <Playlist playlist={playlist}/> )}
            </ul>
        </div>
    )
}


export const CUserPlaylists = connect(state => ({playlists: state.promise.playlistFindByUser?.payload || []}))(UserPlaylists)


export const UserPlaylistById = ({match:{params:{_id}}}) =>
    <>
        <CUserPlaylists />
    </>

